<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'servicio.label', default: 'Servicio')}" />
        <title><g:message code="default.edit.label" args="[entityName]" /></title>
    </head>
    <body>
        <a href="#edit-servicio" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="list" action="index"><g:message code="default.list.label" args="[entityName]" /></g:link></li>
                <li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
            </ul>
        </div>
        <div id="edit-servicio" class="content scaffold-edit" role="main">
            <h1><g:message code="default.edit.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message" role="status">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${this.servicio}">
            <ul class="errors" role="alert">
                <g:eachError bean="${this.servicio}" var="error">
                <li <g:if test="${error in org.springframework.validation.FieldError}">data-field-id="${error.field}"</g:if>><g:message error="${error}"/></li>
                </g:eachError>
            </ul>
            </g:hasErrors>
            <g:form resource="${this.servicio}" method="PUT">
                <g:hiddenField name="version" value="${this.servicio?.version}" />
                <fieldset class="form">
                    <f:all bean="servicio"/>

                <!-- asd cambio ini-->

                <f:field bean="servicio" property="id">  <g:textField name="it.id" value="${this.servicio?.id}"/>   </f:field>
                <f:field bean="servicio" property="categoria">                   <!-- este es el label Categoria-->
                <g:select name="it.categoria"     from='${jobs.Categoria.list()}'
                    value="${this.servicio?.categoria}" optionKey="id" optionValue="nombre"/>
                </f:field>
                <!-- asd cambio fin-->

                </fieldset>
                <fieldset class="buttons">
                    <input class="save" type="submit" value="${message(code: 'default.button.update.label', default: 'Update')}" />
                </fieldset>
            </g:form>
        </div>
    </body>
</html>
